Skip to main content
GET
ListTags

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of tags to return. The service may return fewer than this value. If unspecified, at most 50 tags will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken
string

A page token, received from a previous ListTags call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListTags must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string Available fields to filter by are 'name' and 'tag_id'. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved campaigns. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date and name. If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc,name"

tagType
enum<string>
default:TAG_TYPE_UNSPECIFIED

Narrows the tags selected to a specific type.

Available options:
TAG_TYPE_UNSPECIFIED,
TAG_TYPE_ANNOTATION,
TAG_TYPE_ASSET,
TAG_TYPE_CAMPAIGN,
TAG_TYPE_REPORT,
TAG_TYPE_REPORT_TEMPLATE,
TAG_TYPE_RUN

Response

A successful response.

tags
object[]
nextPageToken
string

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.